#
# spec file for package python-lxc-python2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-lxc-python2
Version:        0.1.git_0553f05
Release:        lp151.3.3
Summary:        LXC bindings for python2
License:        LGPL-2.1-or-later
Group:          System/Base
Url:            https://github.com/lxc/python2-lxc
Source0:        python-lxc-python2-%{version}.tar.gz
%if 0%{?suse_version} > 1320
BuildRequires:  liblxc-devel
%else
BuildRequires:  lxc-devel
%endif
BuildRequires:  python
BuildRequires:  python-devel

%description
Out of tree python 2.7 binding for liblxc (similar to the official python3). Needed for running ansibles lxc_container module on the lxc host.

%files
%defattr(-,root,root,-)
%{python_sitearch}/*

%prep
%setup -q -n python-lxc-python2-%{version}

%build
python setup.py build

%install
python setup.py install --root %{buildroot}

%changelog
* Wed Mar 14 2018 opensuse_buildservice@ojkastl.de
- fixed %%if condition for suse_version to work on CentOS etc.
* Wed Feb  1 2017 opensuse_buildservice@ojkastl.de
- switched from _service to tarball of latest git commit
- added %%if-condition to have Tumbleweed use another package than lxc-devel (liblxc-devel)
* Thu Jan 26 2017 opensuse_buildservice@ojkastl.de
- cleaned up spec with spec-cleaner
- changed description to be more informative
* Wed Jan 25 2017 opensuse_buildservice@ojkastl.de
- changed to _service
- renamed package to comply with openSUSE naming conventions
- based on lxc-python2 package from bhwachter
